<template>
  <div>
    <a-affix :offset-top="affixTop">
      <div class="row pt-2 pb-2 bg-default">
        <div class="col">
          <h4 class="m-0">Planos</h4>
        </div>
        <div class="col d-flex justify-content-end">
          <a-button
            type="primary"
            class="d-flex align-items-center"
            @click="handleShowDrawerForm"
          >
            Novo plano
          </a-button>
        </div>
      </div>
    </a-affix>
    <a-card class="border-0 shadow-sm mt-3">
      <a-table
        :columns="columns"
        :data-source="plans"
        rowKey="id"
        :row-class-name="customRowClass"
        :custom-row="customRow"
      >
        <template slot="data_inicio" slot-scope="scopeDataInicio">
          <small>
            <b>Início do plano</b>
          </small>
          <br />
          {{ scopeDataInicio | filterDateTime }}
        </template>
        <template slot="data_fim" slot-scope="scopeDataFim">
          <small>
            <b>Fim do plano</b>
          </small>
          <br />
          {{ scopeDataFim | filterDateTime }}
        </template>
        <template slot="Niveis" slot-scope="scopeOE">
          <small>
            <b>Objetivos Estratégicos</b>
          </small>
          <br />
          <a-tag color="blue" v-if="scopeOE.length > 0">{{
            scopeOE.length
          }}</a-tag>
        </template>
      </a-table>
    </a-card>
    <drawer-form
      :showDrawer="drawerForm"
      :plan="plan"
      @emit-close-drawer="handleCloseDrawerForm"
    />
    <drawer-view
      :drawerView="drawerView"
      :plan="plan"
      @emit-close-drawer="handleCloseDrawerView"
    />
  </div>
</template>

<script>
import '@/filters/generic-filters/filter-datetime'
import Plan from '@/model/plan/plan'
import DrawerForm from './drawer-form'
import DrawerView from './drawer-view'
export default {
  components: {
    DrawerForm,
    DrawerView,
  },
  data() {
    return {
      drawerForm: false,
      drawerView: false,
      affixTop: 64,
      plan: [],
      columns: [
        {
          dataIndex: 'descricao',
          title: 'Plano',
          sortable: true,
          sortDirection: 'desc',
        },
        {
          dataIndex: 'data_inicio',
          title: 'Início do Plano',
          sortable: true,
          sortDirection: 'desc',
          scopedSlots: { customRender: 'data_inicio' },
        },
        {
          dataIndex: 'data_fim',
          title: 'Fim do Plano',
          sortable: true,
          sortDirection: 'desc',
          scopedSlots: { customRender: 'data_fim' },
        },
        {
          dataIndex: 'Niveis',
          title: 'OE',
          sortable: true,
          sortDirection: 'desc',
          scopedSlots: { customRender: 'Niveis' },
        },
      ],
      plans: [
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-12-31T00:00:00-03:00',
          codigo: 1,
          descricao: 'PNS - Plano Nacional de Saúde 2020-2023',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [
            {
              codigo: 2,
              descricao:
                'Promover a ampliação e a resolutividade das ações e serviços da atenção primária de forma integrada e planejada.',
            },
            {
              codigo: 3,
              descricao:
                'Promover a ampliação da oferta de serviços da atenção especializada com vista à qualificação do acesso e redução das desigualdades regionais.',
            },
            {
              codigo: 4,
              descricao:
                'Reduzir ou controlar a ocorrência de doenças e agravos passíveis de prevenção e controle.',
            },
            {
              codigo: 5,
              descricao:
                'Fomentar a produção do conhecimento científico, promovendo o acesso da população às tecnologias em saúde de forma equitativa, igualitária, progressiva e sustentável.',
            },
            {
              codigo: 6,
              descricao:
                'Promover ações que garantam e ampliem o acesso da população a medicamentos e insumos estratégicos, com qualidade, segurança, eficácia, em tempo oportuno,promovendo seu uso racional.',
            },
            {
              codigo: 7,
              descricao:
                'Fortalecer a proteção, promoção e recuperação da Saúde Indígena.',
            },
            {
              codigo: 8,
              descricao:
                'Aperfeiçoar a gestão do SUS visando a garantia do acesso a bens e serviços de saúde equitativos e de qualidade.',
            },
          ],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-12-31T00:00:00-03:00',
          codigo: 2,
          descricao: 'PPA - Plano Plurianual 2020-2023',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: null,
          codigo: 3,
          descricao: 'ODS 2030 - Objetivo Desenvolvimento Sustentável',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
        {
          data_inicio: '2019-08-01T00:00:00-03:00',
          data_fim: '2020-08-01T00:00:00-03:00',
          codigo: 49,
          descricao: 'plano teste 1',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-12-31T00:00:00-03:00',
          codigo: 50,
          descricao: 'plano teste 5',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-08-01T00:00:00-03:00',
          data_fim: '2020-08-01T00:00:00-03:00',
          codigo: 51,
          descricao: 'teste 6',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-08-01T00:00:00-03:00',
          data_fim: '2020-08-01T00:00:00-03:00',
          codigo: 52,
          descricao: 'teste 7',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-08-01T00:00:00-03:00',
          data_fim: '2020-08-01T00:00:00-03:00',
          codigo: 53,
          descricao: 'teste 8',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-08-01T00:00:00-03:00',
          data_fim: '2020-08-01T00:00:00-03:00',
          codigo: 54,
          descricao: 't8',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-08-01T00:00:00-03:00',
          data_fim: '2020-08-01T00:00:00-03:00',
          codigo: 55,
          descricao: 'teste 9',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-03-01T00:00:00-03:00',
          data_fim: '2021-09-01T00:00:00-03:00',
          codigo: 56,
          descricao: 't10',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [
            { codigo: 9, descricao: 'teste 3' },
            { codigo: 10, descricao: 'teste 1' },
            { codigo: 11, descricao: 'teste 5' },
            { codigo: 12, descricao: 'teste 4' },
            { codigo: 13, descricao: 'teste 2' },
          ],
        },
        {
          data_inicio: '2019-01-01T00:00:00-02:00',
          data_fim: '2024-01-01T00:00:00-03:00',
          codigo: 57,
          descricao: 'teste 11',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2019-01-01T00:00:00-02:00',
          data_fim: '2002-12-01T00:00:00-02:00',
          codigo: 58,
          descricao: 't13',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
        {
          data_inicio: '2019-01-01T00:00:00-02:00',
          data_fim: '2023-12-01T00:00:00-03:00',
          codigo: 59,
          descricao: 't14',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2021-01-01T00:00:00-03:00',
          codigo: 60,
          descricao: 'teste 20',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [
            { codigo: 16, descricao: 'teste era 2 agr é 3' },
            { codigo: 17, descricao: 'teste again' },
          ],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2021-02-01T00:00:00-03:00',
          codigo: 61,
          descricao: 'plano teste 50',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [{ codigo: 18, descricao: 'objetivo 1' }],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2024-12-01T00:00:00-03:00',
          codigo: 62,
          descricao: 'titulo do novo plano para mostrar para o Alex',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [
            { codigo: 19, descricao: 'ob est 2' },
            { codigo: 20, descricao: 'o e 1' },
            { codigo: 21, descricao: 'o e 3' },
          ],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-12-01T00:00:00-03:00',
          codigo: 63,
          descricao: 'titulo do plano teste mostrando para o netto',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [
            { codigo: 22, descricao: 'objetivo estrategico 1' },
            { codigo: 23, descricao: 'objetivo estrategico 2' },
            { codigo: 24, descricao: 'objetivo estrategico 3' },
            { codigo: 25, descricao: 'asdasadsa' },
          ],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2021-07-01T00:00:00-03:00',
          codigo: 64,
          descricao: 'plano teste setembro',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2021-06-01T00:00:00-03:00',
          codigo: 65,
          descricao: 'asdasd',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '21213-05-31T21:00:00-03:00',
          data_fim: '2121-05-01T00:00:00-03:00',
          codigo: 66,
          descricao: 'Plano para documentação',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-01-01T00:00:00-03:00',
          codigo: 67,
          descricao: 'plano teste novo layout datas',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-01-01T00:00:00-03:00',
          codigo: 68,
          descricao: 'adasdad',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-01-01T00:00:00-03:00',
          codigo: 69,
          descricao: 'adasad',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2021-12-01T00:00:00-03:00',
          codigo: 70,
          descricao: 'addssad',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2021-01-01T00:00:00-03:00',
          data_fim: '2024-09-01T00:00:00-03:00',
          codigo: 71,
          descricao: 'Plano teste numba 63554',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-03-01T00:00:00-03:00',
          data_fim: '2021-05-01T00:00:00-03:00',
          codigo: 72,
          descricao: 'asddasdsd',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-02-01T00:00:00-03:00',
          data_fim: '2021-06-01T00:00:00-03:00',
          codigo: 73,
          descricao: 'dsadasdd',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2021-06-01T00:00:00-03:00',
          codigo: 74,
          descricao: 'asdsadsa',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-04-01T00:00:00-03:00',
          data_fim: '2021-07-01T00:00:00-03:00',
          codigo: 75,
          descricao: 'bubbbbb',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [{ codigo: 26, descricao: 'asdadsad' }],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2022-05-01T00:00:00-03:00',
          codigo: 76,
          descricao: 'Teste e documentação',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2001-05-03T00:00:00-03:00',
          data_fim: '2001-04-04T00:00:00-03:00',
          codigo: 77,
          descricao: 'Teste documento',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
        {
          data_inicio: '2020-01-01T00:00:00-03:00',
          data_fim: '2023-01-01T00:00:00-03:00',
          codigo: 78,
          descricao: 'adad',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2020-05-01T00:00:00-03:00',
          data_fim: '2021-07-01T00:00:00-03:00',
          codigo: 79,
          descricao: 'adadsda',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [],
        },
        {
          data_inicio: '2012-03-01T00:00:00-03:00',
          data_fim: '2025-03-01T00:00:00-03:00',
          codigo: 80,
          descricao: 'Teste',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: 30,
          PeriodoAvaliacaoCodigo: 30,
          Niveis: [{ codigo: 27, descricao: 'Teste' }],
        },
        {
          data_inicio: '2001-01-01T00:00:00-02:00',
          data_fim: '2001-01-01T00:00:00-02:00',
          codigo: 81,
          descricao: '',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
        {
          data_inicio: '2020-02-01T00:00:00-03:00',
          data_fim: '2021-04-01T00:00:00-03:00',
          codigo: 82,
          descricao: 'plano teste limite pontos criticos',
          codigo_orgao: 1,
          limite_caracteres_situacao_entrega_intermediaria: 500,
          limite_caracteres_parecer_situacao_atual: 500,
          limite_pontos_criticos_por_meta: 10,
          PeriodoMonitoramentoCodigo: null,
          PeriodoAvaliacaoCodigo: null,
          Niveis: [],
        },
      ],
      isLoading: true,
    }
  },
  methods: {
    handleShowDrawerForm() {
      this.drawerForm = true
      this.plan = new Plan()
    },
    handleCloseDrawerForm(closeDrawer) {
      this.drawerForm = closeDrawer
      this.plan = new Plan()
    },
    handleShowDrawerView(plan) {
      this.plan = plan
      this.drawerView = true
    },
    handleCloseDrawerView(closeDrawer) {
      this.drawerView = closeDrawer
    },
    customRow(record) {
      return {
        on: {
          click: () => {
            this.handleShowDrawerView(record)
          },
        },
      }
    },
    customRowClass() {
      return 'cursor-pointer'
    },
  },
}
</script>
